Fork me on GitHub




« 1 (2) 3 4 5 »


Re: xoops 2.5.7 final - fr
Semi pro
Inscrit: 13/04/2006 23:26
De Aix en Provence
Messages: 1751
On en revient à d'autres discussions que nous avons déjà eues sur la course aux armements ... que ceux qui ont un hébergement en PHP 5.3.7 ou sup lèvent le doigt !

Ils ne doivent pas être nombreux ...

La correction des bugs de la 2.5.6 nécessitait-elle un passage à une version encore plus récente de PHP ?

Je rends néanmoins hommage au gros travail fourni par l'équipe Xoops, qu'on ne se méprenne pas ... mais j'aimerais vraiment qu'une version de xoops soit suivie, avec ses modules, corrigée et pleinement opérationnelle avant (ou en parallèle) d'opter pour une version plus récente.

Posté le : 27/07/2014 11:53

signé: LionHell
Partager Twitter Partagez cette article sur GG+
Re: xoops 2.5.7 final - fr
Semi pro
Inscrit: 13/02/2006 17:40
De Belgique
Messages: 812
Bonjour à tous !

Grand merci à Cezag pour ce fabuleux travail de traduction... et merci aussi à tous ceux qui ont contribué à cette évolution de Xoops.

Pourriez-vous me préciser si NewBB de Irmtfman est compatible avec PHP 5.4 et plus ?
Existe t-il une liste des modules compatibles avec Xoops 2.5.7 ? Le sait-on ?

Merci pour votre aide

Posté le : 28/07/2014 15:40
Partager Twitter Partagez cette article sur GG+
Re: xoops 2.5.7 final - fr
Newbie
Inscrit: 05/03/2009 21:43
Messages: 14

merci beaucoup Cesag ,

Posté le : 28/07/2014 19:23
Partager Twitter Partagez cette article sur GG+
Re: xoops 2.5.7 final - fr
Admin Frxoops
Inscrit: 04/03/2011 09:10
De Lot
Messages: 2610
Citation :

PHP 5.3.7 ou sup lèvent le doigt !


Pour ma part, tout ceux qui tourne sous une version inférieur à 5.3.17 devraient changer d'hébergeur.
Pour la simple raison est qu'avant il y avait quelques failles de sécurités majeures.
La version 5.3.x est maintenu, justement, pour ceux qui ont des codes encore écrit en PHP 4.x . Pour information PHP 5.3 et 5.4 sont quasi identiques (la seule chose qui les différencie, c'est que 5.4 ne prend plus en charge les compatibilités avec PHP 4.x). La suppression des fonctions liées à PHP 4.x permet un gain en vitesse étonnant.
Donc si vous tourner sur des vieux modules choisissez PHP 5.3.X, sinon passer à PHP 5.4. Et pour ceux qui le veulent PHP 5.5 mais pour l'instant peu de modules sont compatibles.

Lionhell, cette course en avant des versions est simplement lié à une course contre la montre envers les hackers et autres joyeuseté. Xoops dépend de PHP et MySQL, qui eux dépendent de C++ et autres librairies, qui eux dépendent de l'OS Linux et Windows (pour la majorité) qui euent dépendent de la machine. Une faille dans Linux, amène à un saut de version de l'ensemble de la chaine. Encore heureux que les développeurs fassent leurs rôles, c'est à dire sécuriser, optimiser les codes tout en apportant de nouvelles fonctionnalités qui n'auraient pas put exister sans l'amélioration sans cesse de la technologie, des débits toujours plus importants, etc...

Webmaster est un métier qui nécessite de se tenir informé de tout ce qui se passe dans le monde du net. Et sa va très vite. A lui de faire une migration, ou pas. C'est son rôle de définir les risques potentiels que son site encoure. Webmaster, n'est pas que je met en ligne un site et je fournis du contenu. C'est une infime partie de son travail. Un webmaster est juridiquement responsable du contenu de son site. La majorité de son travail sera de modérer, de veiller au bon fonctionnement des fonctionnalités de son site, de prévoir les améliorations possibles, de se maintenir informer, de savoir mesurer des risques (est-ce que je mets à jour mon site ? Est-ce que cette mise à jour impactera le trafic de mon site ? Est-ce que cette mise à jour corrige des fonctions que j'utilise, etc...)

J'ai pas mal de sites pour des clients, je maitrise toute la chaîne, du serveur, au site final. J'ai encore des sites qui tournent avec un semblant de Xoops 2.5.0. Pourquoi ? Parce que tout simplement j'y apporte directement les corrections sans tout mettre à jour. Je ne corrige que ce que j'ai besoin. Sachant que très souvent, j'apporte des modifications spécifiques, que je devraient refaire à chaque fois si je mets à jour à chaque fois.
Donc avant de mettre à jour, je consulte les CHANGELOG pour voir si la mise à jour est utile ou pas à mon cas de figure. Les développeurs ne se cassent pas le cul pour faire beau à faire ce type de fichier avec ses renseignements dedans. C'est simplement pour faciliter le travail des webmasters.

Et en tant que développeur, c'est mon rôle de fournir toujours une version d'un module (vu que pour Xoops, je développe des modules) toujours fiable, le plus rapide et optimisé possible. Donc je sortirai des mises à jour quand se sera nécessaire. C'est une question de crédibilité et surtout de devoir envers ceux qui utilisent mes créations.

Posté le : 29/07/2014 00:04
Partager Twitter Partagez cette article sur GG+
Re: xoops 2.5.7 final - fr
Admin Frxoops
Inscrit: 16/03/2009 16:40
De Tende (06)
Messages: 3129
Citation :
johann1 a écrit :
Pourriez-vous me préciser si NewBB de Irmtfman est compatible avec PHP 5.4 et plus ?
Existe t-il une liste des modules compatibles avec Xoops 2.5.7 ?


Normalement oui, newbb faisant partie du Pack de modules de base.

Liste des modules et lien de téléchargement en anglais pour le moment (certains sont déjà traduits en français, voir et comparer à la partie téléchargement de modules 2.5.x sur frxoops).

La réponse à la plupart de vos interrogations se trouve dans l'article d'annonce de XOOPS 2.5.7 que je viens de publier.

Bonne lecture

Posté le : 29/07/2014 10:03

Open in new window

Xoopseuse Mai 2012 | Responsable équipe internationale | Recherche avancée en bas de page !
Partager Twitter Partagez cette article sur GG+
Re: xoops 2.5.7 final - fr
Semi pro
Inscrit: 13/02/2006 17:40
De Belgique
Messages: 812
Bonjour Cezag,

J'ai plongé pour faire la mise à jour de l'un de mes sites...

La mise à jour s'est globalement bien passée (Ouf)

3 petites choses à signaler dans un premier temps:

En suivant les consignes du "Readme mise à jour Xoops 2.5.6 à 2.5.7": Lorsque vient le moment de mettre à jour les modules PM et Profile, j'ai commencé par PM et suis tombé sur une page blanche. J'ai fait illico un retour de page, et j'ai fait la mise à jour du module Profile, et là tout c'est bien déroulé. Je suis revenu à la mise à jour de PM, Protector, et là, pas / plus de problèmes.

Par ailleurs, est-il normal qu'en lançant "http://VOTRESITE.com/checksum.php" il me dise que tous mes fichiers sont absents ? lol

Je constate qu'il n'y a pas dans le module Newbb le dossier en Français. Est ce le même que celui existant dans la version Newbb 4.3 RC7 ? Faut-il reprendre dans ce dossier tous les modules en écrasant les anciens ?

Je reviens vers vous pour toutes éventuelles aventures, mais sachez que d'emblée je suis heureux de cette avancée de Xoops. Merci encore

Réédit:

Cezag, tu dis de passer de préférence à PHP5.5, cependant Montuy précise ci-dessus que cela dépend des modules utilisés. Ce serait peut-être plus prudent de le préciser.


Posté le : 29/07/2014 15:51
Partager Twitter Partagez cette article sur GG+
Re: xoops 2.5.7 final - fr
Admin Frxoops
Inscrit: 04/03/2011 09:10
De Lot
Messages: 2610
Citation :

Cezag, tu dis de passer de préférence à PHP5.5, cependant Montuy précise ci-dessus que cela dépend des modules utilisés. Ce serait peut-être plus prudent de le préciser.

Oui, ce serai l'idéal de passer à PHP 5.5, mail il faut le reconnaître, tous les modules ne sont pas compatibles avec cette version de PHP.

Si vous avez la possibilité de passer à PHP 5.5 (et que vos modules le permettent) faites le sans soucis.
Sinon PHP 5.3.7 et supérieur sont suffisant si vous utilisez des modules ayant encore une structure basée sur PHP 4.x (notamment les class).



Posté le : 29/07/2014 17:52
Partager Twitter Partagez cette article sur GG+
Re: xoops 2.5.7 final - fr
Semi pro
Inscrit: 13/02/2006 17:40
De Belgique
Messages: 812
Citation :
Je constate qu'il n'y a pas dans le module Newbb le dossier en Français. Est ce le même que celui existant dans la version Newbb 4.3 RC7 ? Faut-il reprendre dans ce dossier tous les modules en écrasant les anciens ?


Je me suis trompé ci-dessus en évoquant le dossier des modules, il s'agit de l'autre lien qu'a donné Cesag, à savoir ici:
"partie téléchargement de modules 2.5.x sur frxoops"


Dans les mini-problèmes à dénoncer encore, il y a ceci:

1) En mode debug, j'ai ceci:

Avertissement: preg_match(): Delimiter must not be alphanumeric or backslash dans le fichier /home/prive/xoops_lib/modules/protector/class/protector.php ligne 1043


Avertissement: Smarty error: unable to read resource: "morphogenesis/xotpl/xo_blockfooter.html" dans le fichier /class/smarty/Smarty.class.php ligne 1094


2) Alors, j'avais déjà le problème avant la mise à jour, mais elle demeure avec 2.5.7 :
Lorsque je clique sur le pseudo d'un membre pour voir son profil et/ou lui écrire, il me dirige vers mon profil au lieu du sien. Pourtant je suis admin du site.


Réédit:

J'en rajoute une couche

Je ne sais pas si c'est une bonne chose que d'évoquer tout dans ce même topic, ou si je dois ouvrir chaque fois un nouveau sujet. Merci de me le dire


En me rendant dans TinyMCE 3.5.11 qui est avec la nouvelle version Xoops 2.5.7 (PHP 5.4), j'ai des champs qui apparaissent lorsque je clique sur le petit "point d'interrogation" = aide.

Les champs apparaissent ... voir ces images:


Open in new window

http://www.ayeti.be/xoops/Aide-TinyMC ... problemes-de-champs-1.jpg


Open in new window


http://www.ayeti.be/xoops/Aide-TinyMC ... problemes-de-champs-2.jpg


Par ailleurs, TinyMCE est prioritaire dans les "préférences générales", et je tombe toujours sur l'éditeur basic. Comment avoir directement TinyMCE comme éditeur par défaut ?

Posté le : 29/07/2014 18:21
Partager Twitter Partagez cette article sur GG+
Re: xoops 2.5.7 final - fr
Admin Frxoops
Inscrit: 16/03/2009 16:40
De Tende (06)
Messages: 3129
Citation :
johann1 a écrit :

Par ailleurs, est-il normal qu'en lançant "http://VOTRESITE.com/checksum.php" il me dise que tous mes fichiers sont absents ? lol



Pour t'aider il nous faut plus de précision, quels fichiers te manque-t-il réellement ? Certainement pas tous, ou alors tu t'es trompé d'endroit où mettre les fichiers checksum.


Si tu suis les instructions, il est dit dans le fichier " README_UPGRADE_TO_2.5.7.txt", je cite :

Citation :
12) Lancez le fichier : http://VOTRESITE.com/checksum.php et assurez-vous que vous avez tous les fichiers. Bien sûr, le dossier /install et ses fichiers n'y seront pas, de même pour les dossiers /xoops_lib et /xoops_data, si vous les avez déplacé ailleurs.


Si il te manque des fichiers ou dossiers, il faut que tu saches lesquels et que tu les envois sur ton ftp.

Posté le : 31/07/2014 12:20

Open in new window

Xoopseuse Mai 2012 | Responsable équipe internationale | Recherche avancée en bas de page !
Partager Twitter Partagez cette article sur GG+
Re: xoops 2.5.7 final - fr
Admin Frxoops
Inscrit: 16/03/2009 16:40
De Tende (06)
Messages: 3129
Citation :
johann1 a écrit :
Citation :
Je constate qu'il n'y a pas dans le module Newbb le dossier en Français. Est ce le même que celui existant dans la version Newbb 4.3 RC7 ? Faut-il reprendre dans ce dossier tous les modules en écrasant les anciens ?


Je me suis trompé ci-dessus en évoquant le dossier des modules, il s'agit de l'autre lien qu'a donné Cesag, à savoir ici:
"partie téléchargement de modules 2.5.x sur frxoops"


Non il ne s'agit pas du Sourceforge de frxoops, il s'agit de celui de xoops.org et j'avais d'ailleurs précisé qu'ils étaient en anglais et à comparer avec ceux que l'on a en téléchargement :

Citation :
Cesag a écrit :

Liste des modules et lien de téléchargement en anglais pour le moment (certains sont déjà traduits en français, voir et comparer à la partie téléchargement de modules 2.5.x sur frxoops).

Posté le : 31/07/2014 12:24

Open in new window

Xoopseuse Mai 2012 | Responsable équipe internationale | Recherche avancée en bas de page !
Partager Twitter Partagez cette article sur GG+

 Haut   Précédent   Suivant
« 1 (2) 3 4 5 »




Propulsé avec XOOPS | Graphisme adapté par Tatane, Grosdunord, Montuy337513

42 Personne(s) en ligne (33 Personne(s) connectée(s) sur Forum) | Utilisateur(s): 0 | Invité(s): 42 | Plus ...